<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Global</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Global</h1>

    




<section>

<header>
    
        <h2></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="aktuellerSpieler"><span class="type-signature"></span>aktuellerSpieler<span class="type-signature"> :<a href="Spieler.html">Spieler</a></span></h4>




<div class="description">
    <p>Der Spieler, der gerade am Zug ist</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="istAnfang"><span class="type-signature"></span>istAnfang<span class="type-signature"> :boolean</span></h4>




<div class="description">
    <p><code>true</code> falls sich das Spiel noch in der Anfangsphase befindet</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">boolean</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="istKlickErlaubt"><span class="type-signature"></span>istKlickErlaubt<span class="type-signature"> :boolean</span></h4>




<div class="description">
    <p><code>true</code> falls gerade geklickt werden darf</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">boolean</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="istNeueM%C3%BChle"><span class="type-signature"></span>istNeueMühle<span class="type-signature"> :boolean</span></h4>




<div class="description">
    <p><code>true</code> falls eine Mühle in einem Spielzug geschlossen wurde</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">boolean</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="keinSpieler"><span class="type-signature">(constant) </span>keinSpieler<span class="type-signature"> :undefined</span></h4>




<div class="description">
    <p>Der Wert, wenn kein Spieler auf einem Punkt ist</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">undefined</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="keinStein"><span class="type-signature">(constant) </span>keinStein<span class="type-signature"> :undefined</span></h4>




<div class="description">
    <p>Der Wert, wenn kein Stein in der Hand ist</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">undefined</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="linien"><span class="type-signature"></span>linien<span class="type-signature"> :Array.&lt;<a href="Linie.html">Linie</a>></span></h4>




<div class="description">
    <p>linien - Alle Linien auf dem Spielfeld</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">Array.&lt;<a href="Linie.html">Linie</a>></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="punkte"><span class="type-signature"></span>punkte<span class="type-signature"> :Array.&lt;<a href="Punkt.html">Punkt</a>></span></h4>




<div class="description">
    <p>Alle Punkte auf dem Spielfeld</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">Array.&lt;<a href="Punkt.html">Punkt</a>></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="spieler1"><span class="type-signature"></span>spieler1<span class="type-signature"> :<a href="Spieler.html">Spieler</a></span></h4>




<div class="description">
    <p>Der erste Spieler</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="spieler2"><span class="type-signature"></span>spieler2<span class="type-signature"> :<a href="Spieler.html">Spieler</a></span></h4>




<div class="description">
    <p>Der zweite Spieler</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="steinInHand"><span class="type-signature"></span>steinInHand<span class="type-signature"> :<a href="Punkt.html">Punkt</a></span></h4>




<div class="description">
    <p>Der Punkt, dessen Stein sich gerade in der Hand des <a href="global.html#aktuellerSpieler">aktuellerSpieler</a> befindet</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="animiere"><span class="type-signature">(async) </span>animiere<span class="signature">(animation, ms)</span><span class="type-signature"> &rarr; {Promise}</span></h4>
    

    



<div class="description">
    <p>Animiert etwas</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>animation</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last"><p>Eine Funktion, die regelmäßig aufgerufen wird</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>ms</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last"><p>Anzahl der Millisekunden zwischen den Funktionsaufrufen</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>Löst auf, sobald <code>animation</code> den Wert <code>false</code> liefert</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Promise</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="animiereSteinBewegung"><span class="type-signature">(async) </span>animiereSteinBewegung<span class="signature">(von, nach)</span><span class="type-signature"> &rarr; {Promise}</span></h4>
    

    



<div class="description">
    <p>Animiere die Bewegung eines Steins</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>von</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Anfangspunkt</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nach</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Zielpunkt</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>Löst auf, wenn die Animation abgeschlossen ist</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Promise</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="animiereSteinWegnehmen"><span class="type-signature">(async) </span>animiereSteinWegnehmen<span class="signature">(punkt)</span><span class="type-signature"> &rarr; {Promise}</span></h4>
    

    



<div class="description">
    <p>Animiere das Wegnehmen eines Steins</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, dessen Stein genommen wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>Löst auf, wenn die Animation abgeschlossen ist</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Promise</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="frageNachNeuenSpielerNamen"><span class="type-signature"></span>frageNachNeuenSpielerNamen<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Vergisst alles und fragt nach neuen Spielernamen</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="gemerkteAbfrage"><span class="type-signature"></span>gemerkteAbfrage<span class="signature">(frage)</span><span class="type-signature"> &rarr; {string}</span></h4>
    

    



<div class="description">
    <p>Versucht eine gemerkte Antwort für eine Abfrage zu nutzen oder fragt den Benutzer nach einer Antwort</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>frage</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>Die Frage, die gestellt werden soll</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>Die Eingabe des Benutzers</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">string</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="gemerkterSpielerName"><span class="type-signature"></span>gemerkterSpielerName<span class="signature">(spielerNummer)</span><span class="type-signature"> &rarr; {string}</span></h4>
    

    



<div class="description">
    <p>Versucht einen gemerkten Spielernamen zu nutzen oder fragt den Benutzer nach einen Namen</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spielerNummer</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last"><p>Die Nummer des Spielers, 1 oder 2</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>Der eingegebene Spielername</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">string</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="gibAnderenSpieler"><span class="type-signature"></span>gibAnderenSpieler<span class="signature">(spieler)</span><span class="type-signature"> &rarr; {<a href="Spieler.html">Spieler</a>}</span></h4>
    

    



<div class="description">
    <p>Findet den anderen Spieler</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, dessen Gegenspieler gefunden wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p>Der andere Spieler</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="gibSpielerPunkte"><span class="type-signature"></span>gibSpielerPunkte<span class="signature">(spieler)</span><span class="type-signature"> &rarr; {Array.&lt;<a href="Punkt.html">Punkt</a>>}</span></h4>
    

    



<div class="description">
    <p>Findet alle Punkte eines Spielers</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, dessen Punkte gefunden werden</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        


<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Array.&lt;<a href="Punkt.html">Punkt</a>></span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="klickePunkt"><span class="type-signature">(async) </span>klickePunkt<span class="signature">(spieler, punkt)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Wird aufgerufen, wenn ein Punkt angeklickt wird</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der geklickt hat</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, der geklickt wurde</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="machePunktFrei"><span class="type-signature"></span>machePunktFrei<span class="signature">(punkt)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Macht einen Punkt frei</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, der frei gemacht wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="meldeSieg"><span class="type-signature"></span>meldeSieg<span class="signature">(spieler)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Meldet den Sieg eines Spielers</p>
<p>Startet außerdem das Spiel nach der Meldung auf</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der gewonnen hat</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="merkeLinie"><span class="type-signature"></span>merkeLinie<span class="signature">(punkt, linie)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Merkt sich eine Linie für einen Punkt</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>linie</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Linie.html">Linie</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="merkeNachbar"><span class="type-signature"></span>merkeNachbar<span class="signature">(punkt, nachbar)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Merkt sich einen benachbarten Punkt</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, für den sich die Nachbarn gemerkt werden</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nachbar</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der benachbarte Punkt</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="merkeNachbarn"><span class="type-signature"></span>merkeNachbarn<span class="signature">(punkt, punkte)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Merkt sich benachbarte Punkte für einen Punkt</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, für den sich die Nachbarn gemerkt wird</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>punkte</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array.&lt;<a href="Punkt.html">Punkt</a>></span>


            
            </td>

            

            

            <td class="description last"><p>Die benachbarten Punkte <strong>inklusive</strong> dem Punkt, für den sich die Nachbarn gemerkt werden</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="nimmSteinInHand"><span class="type-signature"></span>nimmSteinInHand<span class="signature">(spieler, punkt)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Versucht, einen Stein in die Hand zu nehmen</p>
<p>Meldet außerdem, wenn das Aufnehmen nicht geklappt hat</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der den Stein in die Hand nimmt</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, dessen Stein in die Hand genommen wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="nimmSteinWeg"><span class="type-signature">(async) </span>nimmSteinWeg<span class="signature">(spieler, punkt)</span><span class="type-signature"> &rarr; {Promise.&lt;boolean>}</span></h4>
    

    



<div class="description">
    <p>Versucht, einen gegnerischen Stein an einem Punkt wegzunehmen</p>
<p>Meldet auch, falls das Wegnehmen nicht geklappt hat</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der einen Stein wegnimmt</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, dessen Stein genommen wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls das Wegnehmen geklappt hat</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Promise.&lt;boolean></span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="pr%C3%BCfeBeweglichkeit"><span class="type-signature"></span>prüfeBeweglichkeit<span class="signature">(spieler, punkt)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Prüft, ob ein Spieler einen Stein an einem Punkt bewegt werden darf</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, dessen Stein geprüft wird</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, dessen Stein geprüft wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls der Stein bewegt werden darf</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="pr%C3%BCfeBewegung"><span class="type-signature"></span>prüfeBewegung<span class="signature">(spieler, von, nach)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Prüft, ob eine Bewegung eines Steins erlaubt ist</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der einen Stein verschiebt</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>von</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, dessen Stein verschoben wird</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nach</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, auf den der Stein geschoben wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls das Verschieben erlaubt ist</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="pr%C3%BCfeM%C3%BChle"><span class="type-signature"></span>prüfeMühle<span class="signature">(linie, spieler)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Prüft, ob sich eine Mühle auf einer Linie für einen Spieler befindet</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>linie</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Linie.html">Linie</a></span>


            
            </td>

            

            

            <td class="description last"><p>Die Linie, der geprüft wird</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, dessen Steine geprüft werden</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls sich auf der Linie eine Mühle für den Spieler befindet</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="pr%C3%BCfeM%C3%BChleAmPunkt"><span class="type-signature"></span>prüfeMühleAmPunkt<span class="signature">(punkt, spieler)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Prüft, ob sich eine Mühle an einem Punkt für einen Spieler befindet</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, der geprüft wird</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, dessen Steine geprüft werden</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls sich an dem Punkt eine Mühle für den Spieler befindet</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="pr%C3%BCfeNachbarn"><span class="type-signature"></span>prüfeNachbarn<span class="signature">(punkt1, punkt2)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Prüft, ob zwei Punkte nachbarn sind</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>punkt1</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>punkt2</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls die beiden Punkte Nachbarn sind</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="pr%C3%BCfeSiegDurchAnzahlSteine"><span class="type-signature"></span>prüfeSiegDurchAnzahlSteine<span class="signature">(spieler)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Prüft, ob ein Spieler gewonnen hat, weil der Gegner zuwenige Steine übrig hat</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, dessen Sieg geprüft wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls <code>spieler</code> gewonnen hat</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="pr%C3%BCfeSiegDurchUnbeweglichkeit"><span class="type-signature"></span>prüfeSiegDurchUnbeweglichkeit<span class="signature">(spieler)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Prüft, ob ein Spieler gewonnen hat, weil der Gegner keinen Zug mehr machen kann</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, dessen Sieg geprüft wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls <code>spieler</code> gewonnen hat</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="pr%C3%BCfeSpringen"><span class="type-signature"></span>prüfeSpringen<span class="signature">(spieler)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Prüft, ob ein Spieler mit seinen Steinen springen darf</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls der Spieler springen darf</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="pr%C3%BCfeWegnehmen"><span class="type-signature"></span>prüfeWegnehmen<span class="signature">(spieler, punkt)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Prüft, ob ein Stein weggenommen werden darf</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der einen Stein wegnimmt</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, dessen Stein genommen wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls das Wegnehmen erlaubt ist</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="rechneBreite"><span class="type-signature"></span>rechneBreite<span class="signature">(anfang, ende)</span><span class="type-signature"> &rarr; {number}</span></h4>
    

    



<div class="description">
    <p>Berechnet die Breite in Pixel zwischen zwei horizontale Positionen</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>anfang</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>ende</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        


<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">number</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="rechneH%C3%B6he"><span class="type-signature"></span>rechneHöhe<span class="signature">(anfang, ende)</span><span class="type-signature"> &rarr; {number}</span></h4>
    

    



<div class="description">
    <p>Berechnet die Höhe in Pixel zwischen zwei vertikalen Positionen</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>anfang</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>ende</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        


<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">number</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="rechneLinks"><span class="type-signature"></span>rechneLinks<span class="signature">(punkt)</span><span class="type-signature"> &rarr; {number}</span></h4>
    

    



<div class="description">
    <p>Berechnet die horizontale Position in Pixel</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        


<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">number</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="rechneOben"><span class="type-signature"></span>rechneOben<span class="signature">(punkt)</span><span class="type-signature"> &rarr; {number}</span></h4>
    

    



<div class="description">
    <p>Berechnet die vertikale Position in Pixel</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        


<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">number</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="r%C3%A4umeAuf"><span class="type-signature"></span>räumeAuf<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Räumt das Spielfeld leer</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="setzeAktuellenSpieler"><span class="type-signature"></span>setzeAktuellenSpieler<span class="signature">(spieler)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Setzt den aktuellen Spieler</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der als nächstes dran ist</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="setzeNeuenStein"><span class="type-signature"></span>setzeNeuenStein<span class="signature">(spieler, punkt)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    <p>Versucht, einen neuen Stein auf dem Spielfeld zu setzen</p>
<p>Meldet außerdem, falls das Setzen nicht geklappt hat.</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der den Stein setzt</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>punkt</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, auf den der Stein gesetzt wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls das Setzen geklappt hat</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="vergissGemerktes"><span class="type-signature"></span>vergissGemerktes<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Vergisst alles, was über ein Neuladen hinaus gemerkt wurde</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="verschiebeStein"><span class="type-signature">(async) </span>verschiebeStein<span class="signature">(spieler, von, nach)</span><span class="type-signature"> &rarr; {Promise.&lt;boolean>}</span></h4>
    

    



<div class="description">
    <p>Versucht, einen Stein zu verschieben</p>
<p>Meldet außerdem, falls das Verschieben nicht geklappt hat</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der einen Stein verschiebt</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>von</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, dessen Stein verschoben wird</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nach</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Punkt.html">Punkt</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Punkt, auf den der Stein geschoben wird</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    <p><code>true</code> falls das Verschieben geklappt hat</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Promise.&lt;boolean></span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="verteileSteine"><span class="type-signature"></span>verteileSteine<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Verteilt abwechselnd alle Steine auf dem Spielfeld</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="vonVorne"><span class="type-signature"></span>vonVorne<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Beginnt das Spiel von vorne</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="wechselSpieler"><span class="type-signature"></span>wechselSpieler<span class="signature">(spieler)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Wechselt den aktuellen Spieler zum anderen Spieler</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>spieler</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Spieler.html">Spieler</a></span>


            
            </td>

            

            

            <td class="description last"><p>Der Spieler, der gerade noch dran ist</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="zeichneAktuellerSpieler"><span class="type-signature"></span>zeichneAktuellerSpieler<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Zeichnet die Anzeige des aktuellen Spielers</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="zeichneKnopf"><span class="type-signature"></span>zeichneKnopf<span class="signature">(beschriftung, aktion)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Zeichnet einen Knopf</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>beschriftung</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>Das, was auf dem Knopf steht</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>aktion</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last"><p>Die Aktion, die nach dem Klick passieren soll</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="zeichneKn%C3%B6pfe"><span class="type-signature"></span>zeichneKnöpfe<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Zeichnet alle sonstigen Knöpfe</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="zeichneLinien"><span class="type-signature"></span>zeichneLinien<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Zeichnet alle Linien</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="zeichnePunkte"><span class="type-signature"></span>zeichnePunkte<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Zeichnet alle Punkte und leitet die Mausklicks weiter</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Linie.html">Linie</a></li><li><a href="Punkt.html">Punkt</a></li><li><a href="Spieler.html">Spieler</a></li></ul><h3>Global</h3><ul><li><a href="global.html#aktuellerSpieler">aktuellerSpieler</a></li><li><a href="global.html#animiere">animiere</a></li><li><a href="global.html#animiereSteinBewegung">animiereSteinBewegung</a></li><li><a href="global.html#animiereSteinWegnehmen">animiereSteinWegnehmen</a></li><li><a href="global.html#frageNachNeuenSpielerNamen">frageNachNeuenSpielerNamen</a></li><li><a href="global.html#gemerkteAbfrage">gemerkteAbfrage</a></li><li><a href="global.html#gemerkterSpielerName">gemerkterSpielerName</a></li><li><a href="global.html#gibAnderenSpieler">gibAnderenSpieler</a></li><li><a href="global.html#gibSpielerPunkte">gibSpielerPunkte</a></li><li><a href="global.html#istAnfang">istAnfang</a></li><li><a href="global.html#istKlickErlaubt">istKlickErlaubt</a></li><li><a href="global.html#istNeueM%25C3%25BChle">istNeueMühle</a></li><li><a href="global.html#keinSpieler">keinSpieler</a></li><li><a href="global.html#keinStein">keinStein</a></li><li><a href="global.html#klickePunkt">klickePunkt</a></li><li><a href="global.html#linien">linien</a></li><li><a href="global.html#machePunktFrei">machePunktFrei</a></li><li><a href="global.html#meldeSieg">meldeSieg</a></li><li><a href="global.html#merkeLinie">merkeLinie</a></li><li><a href="global.html#merkeNachbar">merkeNachbar</a></li><li><a href="global.html#merkeNachbarn">merkeNachbarn</a></li><li><a href="global.html#nimmSteinInHand">nimmSteinInHand</a></li><li><a href="global.html#nimmSteinWeg">nimmSteinWeg</a></li><li><a href="global.html#pr%25C3%25BCfeBeweglichkeit">prüfeBeweglichkeit</a></li><li><a href="global.html#pr%25C3%25BCfeBewegung">prüfeBewegung</a></li><li><a href="global.html#pr%25C3%25BCfeM%25C3%25BChle">prüfeMühle</a></li><li><a href="global.html#pr%25C3%25BCfeM%25C3%25BChleAmPunkt">prüfeMühleAmPunkt</a></li><li><a href="global.html#pr%25C3%25BCfeNachbarn">prüfeNachbarn</a></li><li><a href="global.html#pr%25C3%25BCfeSiegDurchAnzahlSteine">prüfeSiegDurchAnzahlSteine</a></li><li><a href="global.html#pr%25C3%25BCfeSiegDurchUnbeweglichkeit">prüfeSiegDurchUnbeweglichkeit</a></li><li><a href="global.html#pr%25C3%25BCfeSpringen">prüfeSpringen</a></li><li><a href="global.html#pr%25C3%25BCfeWegnehmen">prüfeWegnehmen</a></li><li><a href="global.html#punkte">punkte</a></li><li><a href="global.html#rechneBreite">rechneBreite</a></li><li><a href="global.html#rechneH%25C3%25B6he">rechneHöhe</a></li><li><a href="global.html#rechneLinks">rechneLinks</a></li><li><a href="global.html#rechneOben">rechneOben</a></li><li><a href="global.html#r%25C3%25A4umeAuf">räumeAuf</a></li><li><a href="global.html#setzeAktuellenSpieler">setzeAktuellenSpieler</a></li><li><a href="global.html#setzeNeuenStein">setzeNeuenStein</a></li><li><a href="global.html#spieler1">spieler1</a></li><li><a href="global.html#spieler2">spieler2</a></li><li><a href="global.html#steinInHand">steinInHand</a></li><li><a href="global.html#vergissGemerktes">vergissGemerktes</a></li><li><a href="global.html#verschiebeStein">verschiebeStein</a></li><li><a href="global.html#verteileSteine">verteileSteine</a></li><li><a href="global.html#vonVorne">vonVorne</a></li><li><a href="global.html#wechselSpieler">wechselSpieler</a></li><li><a href="global.html#zeichneAktuellerSpieler">zeichneAktuellerSpieler</a></li><li><a href="global.html#zeichneKnopf">zeichneKnopf</a></li><li><a href="global.html#zeichneKn%25C3%25B6pfe">zeichneKnöpfe</a></li><li><a href="global.html#zeichneLinien">zeichneLinien</a></li><li><a href="global.html#zeichnePunkte">zeichnePunkte</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a>
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>